package jalview.io;

import static org.testng.Assert.assertFalse;
import static org.testng.Assert.assertTrue;

import org.testng.annotations.Test;

public class FileParseTest
{
  @Test(groups = "Functional")
  public void setIsGzipped()
  {
    assertFalse(FileParse.isGzipped(null));
    assertFalse(FileParse.isGzipped("foobar"));
    assertFalse(FileParse.isGzipped(".gz.foobar"));

    assertTrue(FileParse.isGzipped("abc.gz"));
    assertTrue(FileParse.isGzipped("abc.GZ"));
    assertTrue(FileParse.isGzipped(".gz"));
    assertFalse(FileParse.isGzipped("abc/gz"));
    assertFalse(FileParse.isGzipped("gz"));
    
    assertTrue(FileParse.isGzipped("http:/xy.com/abc/gzipped"));
    assertTrue(FileParse.isGzipped("abc/gzipped"));
    assertTrue(FileParse.isGzipped("abc/GZIPPED"));
    assertTrue(FileParse.isGzipped("/gzipped"));
    assertFalse(FileParse.isGzipped("gzipped"));
    
    assertTrue(FileParse.isGzipped("http:/xy.com/abc?gz=1"));
    assertTrue(FileParse.isGzipped("http:/xy.com/abc?GZ=1"));
    // currently only recognised if the last token on the URL
    assertFalse(FileParse.isGzipped("http:/xy.com/abc?gz=1&content-type=text/xml"));
  }
}
